Subject: Address Table

From: "gopinathg" <[email-masked]>
Date: Mon, 28 May 2001 12:00:01 +0530

Hi

 what does the peer addresses table in LDP specify ?

MPLS inteface addresses of the peer alone or  non-mpls interface addresses
or the peer also?.

---

From: Eric Gray <[email-masked]>
Date: Tue, 29 May 2001 15:24:05 -0400

Gopinath,

> MPLS inteface addresses of the peer alone or  non-mpls interface addresses

It specifies addresses which might appear in the local peer's
route table as a next hop corresponding to a given remote peer.

See section 2.7, "LDP Identifiers and Next Hop Addresses" in
RFC 3036.

> Hi
>
>   Does  ER-HOP contains only Router-Id or any of its interface addresses?
> If it contains interface addresses then will it be MPLS capable interface
> addresses or can be non-mpls capable addresses also.
>

This is not specified and either may be used.  See section 4.2 of -

"http://www.ietf.org/internet-drafts/draft-ietf-mpls-cr-ldp-05.txt"

- and sections 4.3.2 and 4.3.3 of -

"http://www.ietf.org/internet-drafts/draft-ietf-mpls-rsvp-lsp-tunnel-08.txt"

for information on the types of 'addresses' that may appear in an
ER-Hop or ERO Subobject (respectively)...

--
Eric Gray